Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java	(revision 3840)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportCommand.java	(revision 3841)
@@ -156,24 +156,7 @@
 								
 								Properties props = fileToProperties.get(parametersFile);
 								String UUID = props.getProperty(TXMPreferences.RESULT_PARAMETERS_NODE_PATH);
-								
-//								String name = props.getProperty(TXMPreferences.LAZY_NAME);
-//								String clazzName = props.getProperty(TXMPreferences.CLASS);
-//								String username = props.getProperty(TXMPreferences.USER_NAME);
-//								for (TXMResult r : defaultParentResult.getDeepChildren()) {
-//									if (r.getClass().getName().equals(clazzName) && (r.getLazyName().equals(name) || r.getUserName().equals(username))) {
-//										System.out.println("FOUND RESULT ? ="+r);
-//										importedResult = r;
-//										UUIDDependencies.put(UUID, r.getParametersNodePath());
-//										break;
-//									}
-//								}
-//								
-//								if (importedResult != null) {
-//									System.out.println("IMPORTED RESULT WAS ALREADY HERE");
-//									break;
-//								}
-								
+																
 								String className = props.getProperty(TXMPreferences.CLASS, ""); //$NON-NLS-1$ //$NON-NLS-2$
 								if (className == null || className.length() == 0) {
 									Log.warning(NLS.bind("Warning: can not import object with no class name set with path={0}.", parametersFile)); //$NON-NLS-1$
@@ -217,19 +200,6 @@
 								importedResult.loadParameters();
 								
 								oldUUIDToNewUUID.put(UUID, resultNodePath);
-								
-								//						if (r.importParameters(outfile)) {
-								//							CorporaView.refreshObject(r);
-								//							System.out.println(NLS.bind("Parameter imported from the {0} file.", outfile)); //$NON-NLS-1$
-								//								
-								//							this.syncExec(new Runnable() {
-								//
-								//								@Override
-								//								public void run() {
-								//									SWTEditorsUtils.refreshEditors(r);
-								//								}
-								//							});
-								//						}
 							}
 							catch (ThreadDeath td) {
 								if (importedResult != null) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResultParameter.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResultParameter.java	(revision 3840)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ImportResultParameter.java	(revision 3841)
@@ -58,6 +58,7 @@
  * export a result of a result by calling the function toTxt(File f) then show
  * the result in the text editor @ author mdecorde.
  */
+ @Deprecated
 public class ImportResultParameter extends AbstractHandler {
 	
 	/**
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3840)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3841)
@@ -2,19 +2,15 @@
 
 import java.io.BufferedReader;
 import java.io.File;
-import java.io.FileNotFoundException;
 import java.io.IOException;
 import java.io.StringBufferInputStream;
 import java.io.StringReader;
-import java.io.UnsupportedEncodingException;
 import java.lang.reflect.Constructor;
 import java.lang.reflect.Field;
 import java.lang.reflect.InvocationTargetException;
-import java.nio.file.Path;
 import java.text.DateFormat;
 import java.text.SimpleDateFormat;
 import java.util.ArrayList;
-import java.util.Arrays;
 import java.util.Calendar;
 import java.util.Date;
 import java.util.HashMap;
@@ -240,6 +236,8 @@
 		if (parent != null) {
 			parent.addChild(this);
 		}
+		
+		
 
 		// new result
 		if (parametersNodePath == null) {
@@ -278,6 +276,8 @@
 		// retrieving parent from UUID/node path
 		String parentNodePath = this.getStringParameterValue(TXMPreferences.PARENT_PARAMETERS_NODE_PATH);
 
+		
+		
 		// System.out.println("TXMResult.TXMResult(): parent UUID = " + parentUUID);
 
 		// search for parent only if UUID != "ROOT"
@@ -311,7 +311,12 @@
 				}
 				return;
 			}
-		}
+		} 
+		
+//		else if (parent != null && !(parent.getParametersNodePath().equals(parentNodePath))) { // WHO IS RIGHT THE parent variable OR the parentnodepath preference ?
+//			Log.warning("This result parents node path ("+parentNodePath+") differs from given parents node path: "+parent);
+//			this.saveParameter(TXMPreferences.PARENT_PARAMETERS_NODE_PATH, parent.getParametersNodePath());
+//		}
 
 		// loads parameters from local result node, current command preferences or default command preferences
 		try {
@@ -2267,6 +2272,8 @@
 	/**
 	 * import a result from a Properties map
 	 * 
+	 * e.g corpus.importResult(concordanceParametersMap)
+	 * 
 	 * @param allparameters the parameters file
 	 * @return the created result
 	 */
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3840)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3841)
@@ -520,6 +520,7 @@
 		for (String resultNodePath : resultNodePaths) {
 			
 			try {
+				//FIXME Move TXMResult initialization in the TXMResult.createResult(Preference node); parent and result node path are set before calling
 				Preferences node = TXMPreferences.preferencesRootNode.node(resultNodePath);
 				
 				String className = node.get(TXMPreferences.CLASS, ""); //$NON-NLS-1$ //$NON-NLS-2$
